#pragma once
#include <memory>
#include <sqlite3.h>

#include "Database.h"

class SqliteInterface
{
    sqlite3* mSqliteDb;

public:

    SqliteInterface();

    ~SqliteInterface();

    static std::unique_ptr<SqliteInterface> Create();

    void Open(const DatabasePtr& db);

    void Close();

    void Run(const std::string& statement);
};

using SqliteInterfacePtr = std::unique_ptr<SqliteInterface>;
